# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "packr-guest"
version = "0.7.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Guest-side helpers for Pack WASM packages"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/colinrozzi/pack"

[features]
default = []
derive = ["dep:packr-derive"]

[lib]
name = "packr_guest"
path = "src/lib.rs"

[dependencies.dlmalloc]
version = "0.2"
features = ["global"]

[dependencies.packr-abi]
version = "0.7.2"
default-features = false

[dependencies.packr-derive]
version = "0.7.2"
optional = true

[dependencies.packr-guest-macros]
version = "0.7.2"
